Package org.eclipse.birt.core.script

# Class ParameterAttribute

java.lang.Object
org.eclipse.birt.core.script.ParameterAttribute

All Implemented Interfaces:
  `Serializable`

public class ParameterAttribute extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParameterAttribute()`
`ParameterAttribute(Object[] values, String[] displayTexts)`
`ParameterAttribute(Object value, String displayText)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDisplayText()`
`Object`
`getValue()`
`void`
`setDisplayText(String displayText)`
`void`
`setDisplayText(String[] displayTexts)`
`void`
`setValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterAttribute

public ParameterAttribute(Object[] values, String[] displayTexts)

### ParameterAttribute

public ParameterAttribute(Object value, String displayText)

### ParameterAttribute

public ParameterAttribute()

## Method Details

### getDisplayText

public Object getDisplayText()

### setDisplayText

public void setDisplayText(String displayText)

### setDisplayText

public void setDisplayText(String[] displayTexts)

### getValue

public Object getValue()

### setValue

public void setValue(Object value)